# lfunc.h File Reference

`#include "lobject.h"`

Go to the source code of this file.

## Defines
#define | sizeCclosure(n)
#define | sizeLclosure(n)
## Functions
LUAI_FUNC Proto * | luaF_newproto (lua_State *L)
LUAI_FUNC Closure * | luaF_newCclosure (lua_State *L, int nelems, Table *e)
LUAI_FUNC Closure * | luaF_newLclosure (lua_State *L, int nelems, Table *e)
LUAI_FUNC UpVal * | luaF_newupval (lua_State *L)
LUAI_FUNC UpVal * | luaF_findupval (lua_State *L, StkId level)
LUAI_FUNC void | luaF_close (lua_State *L, StkId level)
LUAI_FUNC void | luaF_freeproto (lua_State *L, Proto *f)
LUAI_FUNC void | luaF_freeclosure (lua_State *L, Closure *c)
LUAI_FUNC void | luaF_freeupval (lua_State *L, UpVal *uv)
LUAI_FUNC const char * | luaF_getlocalname (const Proto *func, int local_number, int pc)

## Define Documentation

#define sizeCclosure | ( | n |  | ) |

Value:

    (cast(int, sizeof(CClosure)) + \
                             cast(int, sizeof(TValue)*((n)-1)))

#define sizeLclosure | ( | n |  | ) |

Value:

    (cast(int, sizeof(LClosure)) + \
                             cast(int, sizeof(TValue *)*((n)-1)))

## Function Documentation

LUAI_FUNC void luaF_close | ( | lua_State * | L,
|  | StkId | level |
| ) |  |  |

LUAI_FUNC UpVal* luaF_findupval | ( | lua_State * | L,
|  | StkId | level |
| ) |  |  |

LUAI_FUNC void luaF_freeclosure | ( | lua_State * | L,
|  | Closure * | c |
| ) |  |  |

LUAI_FUNC void luaF_freeproto | ( | lua_State * | L,
|  | Proto * | f |
| ) |  |  |

LUAI_FUNC void luaF_freeupval | ( | lua_State * | L,
|  | UpVal * | uv |
| ) |  |  |

LUAI_FUNC const char* luaF_getlocalname | ( | const Proto * | func,
|  | int | local_number,
|  | int | pc |
| ) |  |  |

LUAI_FUNC Closure* luaF_newCclosure | ( | lua_State * | L,
|  | int | nelems,
|  | Table * | e |
| ) |  |  |

LUAI_FUNC Closure* luaF_newLclosure | ( | lua_State * | L,
|  | int | nelems,
|  | Table * | e |
| ) |  |  |

LUAI_FUNC Proto* luaF_newproto | ( | lua_State * | L | ) |

LUAI_FUNC UpVal* luaF_newupval | ( | lua_State * | L | ) |